%global with_extras 0%{?fedora} || 0%{?rhel} <= 6
%define prefix /opt/monitor/op5

Summary: OP5 Monitor - ModSecurity Rules
Name: monitor_mod_security_crs
Version: %{op5version}
Release: %{op5release}%{?dist}
License: Apache-2.0 
Group: System Environment/Daemons

Source: %name-%version.tar.gz
BuildArch: noarch
Requires: mod_security >= 2.8.0
Requires: mod_security-mlogc >= 2.9.2
Obsoletes: mod_security_crs-extras < 3.0.0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package provides the base rules for mod_security.

%prep
%setup -q

%build

%install

install -d %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -d %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/
install -d %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/activated_rules
install -d %{buildroot}%{_datarootdir}/mod_modsecurity_crs/rules

mkdir -p -m 755 %buildroot%prefix/http_error_codes

# To exclude rules (pre/post)
mv rules/REQUEST-900-EXCLUSION-RULES-BEFORE-CRS.conf.example %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/activated_rules/REQUEST-900-EXCLUSION-RULES-BEFORE-CRS.conf
mv rules/RESPONSE-999-EXCLUSION-RULES-AFTER-CRS.conf.example %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/activated_rules/RESPONSE-999-EXCLUSION-RULES-AFTER-CRS.conf

install -m0644 rules/* %{buildroot}%{_datarootdir}/mod_modsecurity_crs/rules/
install -m0644 http_error_codes/* %buildroot%prefix/http_error_codes/

mv crs-setup.conf.example %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/crs-setup.conf
mv monitor-mod_security.conf.example %{buildroot}%{_sysconfdir}/httpd/conf.d/monitor-mod_security.conf
mv monitor-mod_security_exclusions.conf.example %{buildroot}%{_sysconfdir}/httpd/conf.d/monitor-mod_security_exclusions.conf

# activate base_rules
for f in `ls %{buildroot}%{_datarootdir}/mod_modsecurity_crs/rules/` ; do 
    ln -s %{_datarootdir}/mod_modsecurity_crs/rules/$f %{buildroot}%{_sysconfdir}/httpd/modsecurity.d/activated_rules/$f; 
done

%post

%if 0%{?rhel} >= 7
    systemctl restart httpd || :
%else
    /etc/init.d/httpd restart || :
%endif

%files
%license LICENSE
%doc CHANGES README.md
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/activated_rules/*
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/crs-setup.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/monitor-mod_security.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/monitor-mod_security_exclusions.conf 
%attr(755,root,root) %prefix/http_error_codes/403.html


%{_datarootdir}/mod_modsecurity_crs

%changelog
* Fri Dec 4 2020 Axel Bolle <abolle@itrsgroup.com>
- Add custom rule exclusions file
* Wed Jun 3 2020 Axel Bolle <abolle@itrsgroup.com>
- Add custom status code page
* Tue May 12 2020 Axel Bolle <abolle@itrsgroup.com>
- Add default config override
* Mon Mar 23 2020 Axel Bolle <abolle@itrsgroup.com>
- Initial release of monitor_mod_modsecurity_crs
